libzypp 17.37.10

ztui::AliveCursor Class Reference

`#include <zypp-tui/output/AliveCursor.h>`

## Public Member Functions
| AliveCursor ()
char | current () const
void | increase ()
AliveCursor & | operator++ ()
AliveCursor & | operator++ (int)
AliveCursor & | done ()

## Private Attributes
char | _current

## Friends
std::ostream & | operator<< (std::ostream &str, const AliveCursor &obj)

## Detailed Description

Definition at line 21 of file AliveCursor.h.

## Constructor & Destructor Documentation

## ◆ AliveCursor()

ztui::AliveCursor::AliveCursor | ( |  | ) |
| inline

Definition at line 26 of file AliveCursor.h.

## Member Function Documentation

## ◆ current()

char ztui::AliveCursor::current | ( |  | ) | const
| inline

Definition at line 29 of file AliveCursor.h.

## ◆ increase()

void ztui::AliveCursor::increase | ( |  | ) |
| inline

Definition at line 32 of file AliveCursor.h.

## ◆ operator++() [1/2]

AliveCursor & ztui::AliveCursor::operator++ | ( |  | ) |
| inline

Definition at line 51 of file AliveCursor.h.

## ◆ operator++() [2/2]

AliveCursor & ztui::AliveCursor::operator++ | ( | int |  | ) |
| inline

Definition at line 57 of file AliveCursor.h.

## ◆ done()

AliveCursor & ztui::AliveCursor::done | ( |  | ) |
| inline

Definition at line 63 of file AliveCursor.h.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const AliveCursor & | obj )
| friend

## Member Data Documentation

## ◆ _current

char ztui::AliveCursor::_current
| private

Definition at line 70 of file AliveCursor.h.

The documentation for this class was generated from the following file:

- zypp-tui/output/AliveCursor.h